SET SQL DIALECT 3;

CREATE DOMAIN VARCHAR_32 AS
  VARCHAR(32) CHARACTER SET UNICODE_FSS
  COLLATE UNICODE_FSS;

CREATE TABLE MISC (
  VAR_NAME VARCHAR_32 NOT NULL COLLATE UNICODE_FSS,
  VAR_VALUE VARCHAR_256 COLLATE UNICODE_FSS);

SET TERM ^ ;

/* Procedure - SCHEMA_VERSION */
ALTER PROCEDURE SCHEMA_VERSION
RETURNS (
	CURRENT_VERSION DOUBLE PRECISION,
	MINIMUM_VERSION DOUBLE PRECISION)
AS 

BEGIN
  CURRENT_VERSION = 1.02;
  MINIMUM_VERSION = 1.01;
  SUSPEND;
END ^

SET TERM ; ^